필드 변환이 있는 단일 배포서버 ID 별로 조회 위해 ECP에 프록시합니다(예: 보류 중 -> 대기 중). 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다.
GET /api/v1/projects/{id}/deployments/{deployment_id}
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/deployments/{deployment_id}' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"aer_http_endpoint": "string",
"agent_http_endpoint": "string",
"agent_stack_name": "string",
"app_id": "string",
"branch": "string",
"build_id": "string",
"commit_sha": "string",
"completed_at": "string",
"component_images": {
"aer": "string",
"agent": "string",
"memory_server": "string",
"oe": "string",
"tool": "string"
},
"components": [
{
"available": true,
"failure_message": "string",
"failure_reason": "string",
"name": "string",
"ready_replicas": 42,
"replicas": 42,
"sandbox": "string",
"type": "string"
}
],
"conditions": [
{
"last_transition_time": "string",
"message": "string",
"reason": "string",
"status": "string",
"type": "string"
}
],
"created_at": "string",
"deployment_id": "string",
"duration_ms": 42,
"error_message": "string",
"executor_type": "string",
"first_deploy": true,
"health": {
"available": true,
"checked_at": "string",
"components": [
{
"name": "string",
"ready": true,
"ready_replicas": 42,
"sandbox": "string"
}
]
},
"image_uri": "string",
"language": "string",
"last_event_seq": 42,
"memory_enabled": true,
"missing_secrets": [
"string"
],
"operator_namespace": "string",
"org_id": "string",
"post_deploy_error_message": "string",
"previous_image_uri": "string",
"project_deleted": true,
"project_id": "string",
"release_number": 42,
"requested_images": [
{
"component": "string",
"digest": "string",
"sandbox": "string"
}
],
"requested_target_id": "string",
"rollback_error": "string",
"rollback_from_id": "string",
"rollback_of": "string",
"shipped_in_release": "string",
"source_build_id": "string",
"source_project_id": "string",
"source_promotion_id": "string",
"source_workspace_id": "string",
"started_at": "string",
"status": "string",
"target_namespace": "string",
"trigger": "string",
"updated_at": "string",
"version": "string"
}
응답 예시(200)
{
"aer_http_endpoint": "string",
"agent_http_endpoint": "string",
"agent_stack_name": "string",
"app_id": "string",
"branch": "string",
"build_id": "string",
"commit_sha": "string",
"completed_at": "string",
"component_images": {
"aer": "string",
"agent": "string",
"memory_server": "string",
"oe": "string",
"tool": "string"
},
"components": [
{
"available": true,
"failure_message": "string",
"failure_reason": "string",
"name": "string",
"ready_replicas": 42,
"replicas": 42,
"sandbox": "string",
"type": "string"
}
],
"conditions": [
{
"last_transition_time": "string",
"message": "string",
"reason": "string",
"status": "string",
"type": "string"
}
],
"created_at": "string",
"deployment_id": "string",
"duration_ms": 42,
"error_message": "string",
"executor_type": "string",
"first_deploy": true,
"health": {
"available": true,
"checked_at": "string",
"components": [
{
"name": "string",
"ready": true,
"ready_replicas": 42,
"sandbox": "string"
}
]
},
"image_uri": "string",
"language": "string",
"last_event_seq": 42,
"memory_enabled": true,
"missing_secrets": [
"string"
],
"operator_namespace": "string",
"org_id": "string",
"post_deploy_error_message": "string",
"previous_image_uri": "string",
"project_deleted": true,
"project_id": "string",
"release_number": 42,
"requested_images": [
{
"component": "string",
"digest": "string",
"sandbox": "string"
}
],
"requested_target_id": "string",
"rollback_error": "string",
"rollback_from_id": "string",
"rollback_of": "string",
"shipped_in_release": "string",
"source_build_id": "string",
"source_project_id": "string",
"source_promotion_id": "string",
"source_workspace_id": "string",
"started_at": "string",
"status": "string",
"target_namespace": "string",
"trigger": "string",
"updated_at": "string",
"version": "string"
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}